This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 495486 - /etc/sysconfig/network is missing
/etc/sysconfig/network is missing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraServerTracker
  Show dependency treegraph
 
Reported: 2009-04-13 08:32 EDT by Daniel Mach
Modified: 2014-03-16 23:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 14:32:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2009-04-13 08:32:32 EDT
/etc/sysconfig/network is created during installation by anaconda.
When alternative installation method is used (e.g. yum install to chroot), network config file is missing.

Can you include this file in the initscripts package?

I can imagine it's content like this:
NETWORKING=yes
NETWORKING_IPV6=yes
HOSTNAME=localhost
Comment 1 Bill Nottingham 2009-04-14 13:28:35 EDT
... why would it be needed in a chroot? You don't bring up devices there.
Comment 2 Daniel Mach 2009-04-14 14:00:25 EDT
For example after I install a virtual guest via yum.

I don't like that anaconda does all post-install setup and packages do not contain couple files with default values.
Comment 3 Bill Nottingham 2009-04-14 14:26:15 EDT
Well, we don't set up any ifcfg-XXX files with a yum install either, so I'm not sure we should special-case this as well.
Comment 4 Bill Nottingham 2009-04-14 14:32:47 EDT
Similarly, we don't configure grub during yum-based package installation either (and my, would that be gross.)

I'm inclined to close this WONTIFX. If the tools we ship such as system-config-network and/or NetworkManager can't work on a yum-installed chroot and then write a proper /etc/sysconfig/network, I may reconsider.
Comment 5 Daniel Mach 2009-04-14 14:36:12 EDT
Right, but several scripts (like avahi initscript) depend on this file.

example from rhel-5 after I removed /etc/sysconfig/network:
/etc/init.d/avahi-daemon restart
/etc/init.d/avahi-daemon: line 18: /etc/sysconfig/network: No such file or directory
Comment 6 Bill Nottingham 2009-04-14 14:43:30 EDT
Erm, yes, but ... don't remove it?

Note You need to log in before you can comment on or make changes to this bug.